ColumnCondition.Raw (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class ColumnCondition.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Raw

- Enclosing class:
    ColumnCondition

      public static class ColumnCondition.Raw
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnCondition.Raw` | `collectionCondition(Term.Raw value, Term.Raw collectionElement, Operator op)` A condition on a collection element.
    `static ColumnCondition.Raw` | `collectionInCondition(Term.Raw collectionElement, AbstractMarker.INRaw inMarker)` An IN condition on a collection element with a single marker.
    `static ColumnCondition.Raw` | `collectionInCondition(Term.Raw collectionElement, java.util.List<Term.Raw> inValues)` An IN condition on a collection element.
    `ColumnCondition` | `prepare(java.lang.String keyspace, ColumnDefinition receiver, CFMetaData cfm)`
    `static ColumnCondition.Raw` | `simpleCondition(Term.Raw value, Operator op)` A condition on a column.
    `static ColumnCondition.Raw` | `simpleInCondition(AbstractMarker.INRaw inMarker)` An IN condition on a column with a single marker.
    `static ColumnCondition.Raw` | `simpleInCondition(java.util.List<Term.Raw> inValues)` An IN condition on a column.
    `static ColumnCondition.Raw` | `udtFieldCondition(Term.Raw value, FieldIdentifier udtField, Operator op)` A condition on a UDT field.
    `static ColumnCondition.Raw` | `udtFieldInCondition(FieldIdentifier udtField, AbstractMarker.INRaw inMarker)` An IN condition on a collection element with a single marker.
    `static ColumnCondition.Raw` | `udtFieldInCondition(FieldIdentifier udtField, java.util.List<Term.Raw> inValues)` An IN condition on a collection element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### simpleCondition

          public static ColumnCondition.Raw simpleCondition(Term.Raw value,
                                                            Operator op)

      A condition on a column. For example: "IF col = 'foo'"

    - #### simpleInCondition

          public static ColumnCondition.Raw simpleInCondition(java.util.List<Term.Raw> inValues)

      An IN condition on a column. For example: "IF col IN ('foo', 'bar', ...)"

    - #### simpleInCondition

          public static ColumnCondition.Raw simpleInCondition(AbstractMarker.INRaw inMarker)

      An IN condition on a column with a single marker. For example: "IF col IN ?"

    - #### collectionCondition

          public static ColumnCondition.Raw collectionCondition(Term.Raw value,
                                                                Term.Raw collectionElement,
                                                                Operator op)

      A condition on a collection element. For example: "IF col['key'] = 'foo'"

    - #### collectionInCondition

          public static ColumnCondition.Raw collectionInCondition(Term.Raw collectionElement,
                                                                  java.util.List<Term.Raw> inValues)

      An IN condition on a collection element. For example: "IF col['key'] IN ('foo', 'bar', ...)"

    - #### collectionInCondition

          public static ColumnCondition.Raw collectionInCondition(Term.Raw collectionElement,
                                                                  AbstractMarker.INRaw inMarker)

      An IN condition on a collection element with a single marker. For example: "IF col['key'] IN ?"

    - #### udtFieldCondition

          public static ColumnCondition.Raw udtFieldCondition(Term.Raw value,
                                                              FieldIdentifier udtField,
                                                              Operator op)

      A condition on a UDT field. For example: "IF col.field = 'foo'"

    - #### udtFieldInCondition

          public static ColumnCondition.Raw udtFieldInCondition(FieldIdentifier udtField,
                                                                java.util.List<Term.Raw> inValues)

      An IN condition on a collection element. For example: "IF col.field IN ('foo', 'bar', ...)"

    - #### udtFieldInCondition

          public static ColumnCondition.Raw udtFieldInCondition(FieldIdentifier udtField,
                                                                AbstractMarker.INRaw inMarker)

      An IN condition on a collection element with a single marker. For example: "IF col.field IN ?"

    - #### prepare

          public ColumnCondition prepare(java.lang.String keyspace,
                                         ColumnDefinition receiver,
                                         CFMetaData cfm)
                                  throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation